# std::auto_ptr<T>::release

From cppreference.com
< cpp‎ | memory‎ | auto ptr

T* release() throw(); |  | (deprecated in C++11) (removed in C++17)

Releases the held pointer. After the call *this holds the null pointer.

### Parameters

(none)

### Return value

get().

### See also

reset | destroys the managed object (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/memory/auto_ptr/release&oldid=108391"